# $Revision: 1.28 $, $Date: 2012/05/10 14:54:41 $
Summary:	Text-mode interface for git-core
Summary(pl.UTF-8):	Tekstowy interfejs do git-core
Name:		tig
Version:	1.0
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://jonas.nitro.dk/tig/releases/%{name}-%{version}.tar.gz
# Source0-md5:	a2d414d1cebbc9cd4f3d545bc6f225c6
URL:		http://jonas.nitro.dk/tig/
BuildRequires:	ncurses-devel
Requires:	git-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tig is a git-core repository browser that additionally can act as a
pager for output from various git commands.

When browsing repositories, it uses the underlying git commands to
present the user with various views, such as summarized revision log
and showing the commit with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.

%description -l pl.UTF-8
Tig jest przeglądarką repozytoriów git-core'a. Dodatkowo może działać
jako pager dla różnych komend gita.

Podczas przeglądania repozytoriów używa poleceń gita i pokazuje log,
statystyki diffa i różnice między plikami.

Używany jako pager będzie kolorował to co otrzyma ze standardowego
wejścia.

%package -n bash-completion-tig
Summary:	bash-completion for tig
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla tiga
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-tig
This package provides bash-completion for tig.

%description -n bash-completion-tig -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla tiga.

%prep
%setup -q

%build
CFLAGS="%{rpmcflags} %{rpmldflags} -I/usr/include/ncursesw"
export CFLAGS
LIBS=-ltinfow %configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%{__make} install install-doc-man \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir} \
	prefix=%{_prefix}

# bash completion
cp -a contrib/tig-completion.bash $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS README *.html contrib/tigrc
%attr(755,root,root) %{_bindir}/tig
#%attr(755,root,root) %{_bindir}/test-graph
%{_mandir}/man1/tig.1*
%{_mandir}/man5/tigrc.5*
%{_mandir}/man7/tigmanual.7*

%files -n bash-completion-tig
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/tig-completion.bash

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tig.spec,v $
Revision 1.28  2012/05/10 14:54:41  pluto
- updated to 1.0.

Revision 1.27  2011/08/31 18:33:06  arekm
- release 2

Revision 1.26  2011/08/29 15:53:30  witekfl
- 0.18
- test-graph binary is not installed by default, so it is commented
- use of configure script

Revision 1.25  2011/03/07 09:16:01  lisu
- up to 0.17
- more verbose files
- new binary: test-graph

Revision 1.24  2010/09/21 13:22:52  draenog
- up to 0.16.2

Revision 1.23  2010/09/20 01:41:49  draenog
- up to 0.16.1

Revision 1.22  2010/06/12 20:26:44  lisu
- up to 0.16

Revision 1.21  2010/02/22 14:15:34  sparky
- dropped BR: asciidoc
- verbose _bindir files
- correct bash-completion group

Revision 1.20  2010/02/22 09:09:19  witekfl
- there is no tig-git.patch in the repository

Revision 1.19  2009/11/21 02:12:43  adamg
- updated to 0.15

Revision 1.18  2009/02/19 16:02:31  witekfl
- fixed issue with colors with current ncurses
- rel 3

Revision 1.17  2009/02/18 20:53:15  arekm
- release 2

Revision 1.16  2009/02/16 11:29:17  lisu
- 0.14.1

Revision 1.15  2009/02/08 00:28:56  adamg
- updated to 0.14

Revision 1.14  2009/01/15 08:27:49  adamg
- updated to 0.13; -git patch disabled for now

Revision 1.13  2008/10/16 08:03:10  adamg
- updated to 0.12.1

Revision 1.12  2008/08/31 22:20:14  adamg
- release 3 (updated -git.patch)

Revision 1.11  2008-06-07 17:16:56  adamg
- release 2 (updated -git patch)

Revision 1.10  2008-04-10 07:33:10  adamg
- updated to 0.11 (+git)

Revision 1.9  2008-03-21 12:56:56  adamg
- updated to 0.10.1 (+git diff)

Revision 1.8  2008-02-14 19:05:36  witekfl
- link with -lncursesw, because pl.po
  in elinks-0.12.GIT is encoded in UTF-8.
- rel 2

Revision 1.7  2007/11/01 11:17:09  adamg
- updated to 0.9.1
- bash-completion-tig package
- dropped -ncurses patch, pass proper path in CFLAGS instead

Revision 1.6  2007/06/24 14:43:28  adamg
- updated to 0.8

Revision 1.5  2007/06/08 23:11:20  arekm
- up to 0.7

Revision 1.4  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.2  2006/12/30 18:57:56  adamg
- updated to 0.5

Revision 1.1  2006/07/21 18:45:19  witekfl
- new
